package com.fs.company.service;

import com.fs.company.domain.CompanyVoiceDialog;

import java.util.List;

/**
 * AI外呼话术Service接口
 * 
 * @author fs
 * @date 2024-12-04
 */
public interface ICompanyVoiceDialogService 
{
    /**
     * 查询AI外呼话术
     * 
     * @param id AI外呼话术ID
     * @return AI外呼话术
     */
    public CompanyVoiceDialog selectCompanyVoiceDialogById(Long id);

    /**
     * 查询AI外呼话术列表
     * 
     * @param companyVoiceDialog AI外呼话术
     * @return AI外呼话术集合
     */
    public List<CompanyVoiceDialog> selectCompanyVoiceDialogList(CompanyVoiceDialog companyVoiceDialog);

    /**
     * 新增AI外呼话术
     * 
     * @param companyVoiceDialog AI外呼话术
     * @return 结果
     */
    public int insertCompanyVoiceDialog(CompanyVoiceDialog companyVoiceDialog);

    /**
     * 修改AI外呼话术
     * 
     * @param companyVoiceDialog AI外呼话术
     * @return 结果
     */
    public int updateCompanyVoiceDialog(CompanyVoiceDialog companyVoiceDialog);

    /**
     * 批量删除AI外呼话术
     * 
     * @param ids 需要删除的AI外呼话术ID
     * @return 结果
     */
    public int deleteCompanyVoiceDialogByIds(Long[] ids);

    /**
     * 删除AI外呼话术信息
     * 
     * @param id AI外呼话术ID
     * @return 结果
     */
    public int deleteCompanyVoiceDialogById(Long id);

    String getConfigUrl(Long id);
}
